# Copyright (c) 2018-present by Michael Herwig <michael.herwig@hotmail.de>
# All rights reserved.

if(DEFINED CMAKE_XI_COMPILER_CLASSIFY_ENDIANESS)
    return()
endif()
set(CMAKE_XI_COMPILER_CLASSIFY_ENDIANESS TRUE)

include(TestBigEndian)
test_big_endian(XI_COMPILER_CLASSIFY_BIG_ENDIAN)

if(NOT XI_COMPILER_CLASSIFY_BIG_ENDIAN)
    set(XI_COMPILER_LITTLE_ENDIAN TRUE CACHE INTERNAL "")
    set(XI_COMPILER_BIG_ENDIAN FALSE CACHE INTERNAL "")
    set(XI_COMPILER_ENDIANESS "LITTLE" CACHE INTERNAL "")
else()
    set(XI_COMPILER_LITTLE_ENDIAN FALSE CACHE INTERNAL "")
    set(XI_COMPILER_BIG_ENDIAN TRUE CACHE INTERNAL "")
    set(XI_COMPILER_ENDIANESS "BIG" CACHE INTERNAL "")
endif()
